/*
 * @FilePath: \wwwd:\code\screenFront\src\components\ts\selfAdaption.ts
 * @Author: 王路平
 * @文件版本: V1.0.0
 * @Date: 2023-02-02 13:48:24
 * @Description: 
 * 
 * 版权信息         : 2023 by ${再登软件}, All Rights Reserved.
 */
import { reactive, ref } from "vue";
/**
 * @函数功能: 计算个别元素宽高尺寸
 * @param {number} height
 * @param {number} width
 * @param {number} row
 * @param {number} column
 * @param {number} gutter
 * @出口参数: 
 * oHeight：高度
 * oWidth：宽度
 * @函数备注: 
 */
export function calcWH(height:number,width:number,row:number=1,column:number=1,gutter:number=0){
    let oHeight = 0
    let oWidth = 0
    oHeight=(height / row) - gutter
        oWidth=(width / column) - gutter
        return reactive(
            {
                oHeight,
                oWidth
            }
        )
        
}
